package ru.yandex.autotests.direct.fakebsproxy.beans.updatestorecontent;

import com.google.gson.annotations.SerializedName;
import ru.yandex.autotests.direct.fakebsproxy.beans.BaseBean;

/**
 * Created by buhter on 17/08/15.
 */
public class UpdateStoreContentMobileRequestBean extends BaseBean<UpdateStoreContentMobileRequestBean> {

    @SerializedName("app_id")
    private String appId;

    @SerializedName("content_type")
    private String contentType;

    @SerializedName("country")
    private String country;

    @SerializedName("store")
    private String store;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getStore() {
        return store;
    }

    public void setStore(String store) {
        this.store = store;
    }

    public UpdateStoreContentMobileRequestBean withAppId(String appId) {
        this.appId = appId;
        return this;
    }

    public UpdateStoreContentMobileRequestBean withContentType(String contentType) {
        this.contentType = contentType;
        return this;
    }

    public UpdateStoreContentMobileRequestBean withCountry(String country) {
        this.country = country;
        return this;
    }

    public UpdateStoreContentMobileRequestBean withStore(String store) {
        this.store = store;
        return this;
    }

}
